> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Reorder Content Nodes

> Bulk-reorder content nodes by setting their position values.



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/teams/{team_id}/hubs/{hub_id}/content/reorder
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/hubs/{hub_id}/content/reorder:
    post:
      tags:
        - content-admin
      summary: Admin Reorder Content Nodes
      description: Bulk-reorder content nodes by setting their position values.
      operationId: >-
        content_admin.post_content_admin_post_teams_by_team_id_hubs_by_hub_id_content_reorder
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/app__content__schemas__ReorderEnvelope'
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    app__content__schemas__ReorderEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/ReorderResource'
      required:
        - data
      title: ReorderEnvelope
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ReorderResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ReorderAttributes'
        type:
          const: content_nodes
          title: Type
          type: string
      required:
        - type
        - attributes
      title: ReorderResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ReorderAttributes:
      additionalProperties: false
      properties:
        items:
          items:
            $ref: '#/components/schemas/app__content__schemas__ReorderItem'
          title: Items
          type: array
      required:
        - items
      title: ReorderAttributes
      type: object
    app__content__schemas__ReorderItem:
      additionalProperties: false
      properties:
        id:
          title: Id
          type: string
        position:
          maximum: 2147483647
          minimum: 0
          title: Position
          type: integer
      required:
        - id
        - position
      title: ReorderItem
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````